Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Rodrigo Siqueira Jordao <[email-masked]>
Date: Thu, 14 Apr 2022 10:23:23 -0400

Hi Alex,

Do we need to apply David's patch [1] to drm-misc-next? If so, I can 
merge it there. Also, I noticed that drm-misc-next changed the dp header 
path; in that way, I had to change the original patch a little bit.

1. https://patchwork.freedesktop.org/patch/480331/?series=102035&rev=1

Best Regards,
Siqueira

On 2022-04-14 10:08, Zhang, Dingchen (David) wrote:
> [AMD Official Use Only]
> 
> 
> Thanks for clarifying, Alex.
> ------------------------------------------------------------------------
> *From:* Alex Deucher <[email-masked]>
> *Sent:* Wednesday, April 13, 2022 10:18 AM
> *To:* Zhang, Dingchen (David) <[email-masked]>
> *Cc:* Stephen Rothwell <[email-masked]>; Kotarac, Pavle 
> <[email-masked]>; Chung, ChiaHsuan (Tom) 
> <[email-masked]>; Linux Kernel Mailing List 
> <[email-masked]>; Linux Next Mailing List 
> <[email-masked]>
> *Subject:* Re: linux-next: build failure after merge of the amdgpu tree
> The patch should be there now.
> 
> Alex
> 
> On Wed, Apr 13, 2022 at 10:09 AM Zhang, Dingchen (David)
> <[email-masked]> wrote:
>>
>> [AMD Official Use Only]
>>
>>
>> hi Stephen,
>>
>> Could you please check if below patch (which has been upstreamed) is in your Linux code base?
>>
>> ~~~~
>> eb2bb029bacf David Zhang         12 days ago    drm: add PSR2 support and capability definition as per eDP 1.5
>> ~~~~~
>>
>> Thanks
>> David
>> ________________________________ From: Stephen Rothwell
>> Sent: Tuesday, April 12, 2022 10:32 PM
>> To: Alex Deucher
>> Cc: Zhang, Dingchen (David); Kotarac, Pavle; Chung, ChiaHsuan (Tom); Linux Kernel Mailing List; Linux Next Mailing List
>> Subject: linux-next: build failure after merge of the amdgpu tree
>>
>> Hi all,
>>
>> After merging the amdgpu tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> drivers/gpu/drm/amd/amdgpu/../display/modules/power/power_helpers.c: In function 'is_psr_su_specific_panel':
>> drivers/gpu/drm/amd/amdgpu/../display/modules/power/power_helpers.c:798:61: error: 'DP_PSR2_WITH_Y_COORD_ET_SUPPORTED' undeclared (first use in this function); did you mean 'DP_PSR2_WITH_Y_COORD_IS_SUPPORTED'?
>>   798 |                 if (link->dpcd_caps.psr_info.psr_version >= DP_PSR2_WITH_Y_COORD_ET_SUPPORTED)
>>       |                                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>>       |                                                             DP_PSR2_WITH_Y_COORD_IS_SUPPORTED
>> drivers/gpu/drm/amd/amdgpu/../display/modules/power/power_helpers.c:798:61: note: each undeclared identifier is reported only once for each function it appears in
>>
>> Caused by commit
>>
>>   901029aa0017 ("drm/amd/display: implement shared PSR-SU sink validation helper")
>>
>> Please start including an x86_64 allmodconfig build in your local testing.
>>
>> I have used the amdgpu tree from next-20220412 for today.
>>
>> --
>> Cheers,
>> Stephen Rothwell